<style>
.document-item {
    border-bottom: 1px solid #eee;
}

.blog_grid_tab {
	padding-top: 30px;
	margin-bottom: 20px;
}

.doc_blog_grid_area {
	padding-bottom: 0;
}
</style>
<template>
    <div>
        <div class="document-item" v-for="document in displayedDocuments" v-bind:key="document.id">
            <DocumentItem :document="document" />
        </div>
    </div>
</template>
<script type="module">
import axios from 'axios';
import DocumentItem from './DocumentItem.vue';
export default{
	name: 'DocumentList',
	props: ['documents', 'documentsUrl'],
	components: {
		DocumentItem,
	},
	data() {
		return {
			displayedDocuments: [],
		};
	},
	mounted() {
		if (typeof this.documentsUrl !== 'undefined' && this.documentsUrl !== '') {
			axios.get(this.documentsUrl)
				.then(response => this.displayedDocuments = response.data);
		}
	},
	methods: {
		
	},
	computed: {

	},
	watch: {
		documents() {
			this.displayedDocuments = this.documents;
		}
	}
};
</script>